<androidx.coordinatorlayout.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/appbar_layout"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="48dp"
        android:background="@drawable/bg_stroke_070709"
        android:gravity="center"
        android:orientation="horizontal">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/fl_search_engine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="10dp"
            android:background="?android:attr/selectableItemBackground"
            android:padding="5dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/iv_search_engine"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/h_s_google"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="-2dp"
                android:layout_marginBottom="-2dp"
                android:src="@mipmap/xuanze"
                app:layout_constraintBottom_toBottomOf="@id/fl_search_engine"
                app:layout_constraintEnd_toEndOf="@id/fl_search_engine"
                tools:ignore="ContentDescription" />

        </androidx.constraintlayout.widget.ConstraintLayout>


        <EditText
            android:id="@+id/edit_web"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="5dp"
            android:background="@null"
            android:gravity="center_vertical"
            android:hint="Search or enter website address"
            android:imeOptions="actionDone"
            android:inputType="textUri"
            android:paddingHorizontal="5dp"
            android:singleLine="true"
            android:textColorHint="#858587"
            android:textSize="14sp"
            app:layout_constraintEnd_toStartOf="@id/fl_scan"
            app:layout_constraintStart_toEndOf="@id/fl_search_engine"
            tools:ignore="Autofill,HardcodedText,TextFields" />

        <FrameLayout
            android:id="@+id/fl_scan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="10dp"
            android:background="?android:attr/selectableItemBackground"
            android:padding="5dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="ContentDescription">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/saoyisao" />

        </FrameLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.coordinatorlayout.widget.CoordinatorLayout>